# Uses of Interface
javafx.scene.image.PixelReader

Packages that use PixelReader
Package
Description
javafx.scene.image
Provides the set of classes for loading and displaying images.

## Uses of PixelReader in javafx.scene.image

Methods in javafx.scene.image that return PixelReader
Modifier and Type
Method
Description
`final PixelReader`
Image.`getPixelReader()`
This method returns a `PixelReader` that provides access to read the pixels of the image, if the image is readable.
Methods in javafx.scene.image with parameters of type PixelReader
Modifier and Type
Method
Description
`void`
PixelWriter.`setPixels(int dstx, int dsty, int w, int h, PixelReader reader, int srcx, int srcy)`
Stores pixel data retrieved from a `PixelReader` instance into a rectangular region of the surface.
Constructors in javafx.scene.image with parameters of type PixelReader
Modifier
Constructor
Description
``
`WritableImage(PixelReader reader, int width, int height)`
Construct an image of the specified dimensions, initialized from the indicated `PixelReader`.
``
`WritableImage(PixelReader reader, int x, int y, int width, int height)`
Construct an image of the specified dimensions, initialized from the indicated region of the `PixelReader`.